### Enumeration

# Gio DBusMessageType

since: 2.26

#### Declaration

    enum Gio.DBusMessageType

#### Description

Message types used in `GDBusMessage`.

Available since: 2.26

#### Members

`G_DBUS_MESSAGE_TYPE_INVALID`

  Message is of invalid type.

  - Value: `0`
  - Available since: 2.26
`G_DBUS_MESSAGE_TYPE_METHOD_CALL`

  Method call.

  - Value: `1`
  - Available since: 2.26
`G_DBUS_MESSAGE_TYPE_METHOD_RETURN`

  Method reply.

  - Value: `2`
  - Available since: 2.26
`G_DBUS_MESSAGE_TYPE_ERROR`

  Error reply.

  - Value: `3`
  - Available since: 2.26
`G_DBUS_MESSAGE_TYPE_SIGNAL`

  Signal emission.

  - Value: `4`
  - Available since: 2.26